Debian Bug report logs - #386251
cdrecord is going away ; xcdroast do not work with wodim

version graph

Package: xcdroast; Maintainer for xcdroast is (unknown);

Reported by: Sune Vuorela <reportbug@pusling.com>

Date: Wed, 6 Sep 2006 10:18:09 UTC

Severity: grave

Tags: fixed, patch

Found in version xcdroast/0.98+0alpha15-7

Fixed in version xcdroast/0.98+0alpha15-8

Done: Hector Garcia <hector@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Hector Garcia <hector@debian.org>:
Bug#386251; Package xcdroast. Full text and rfc822 format available.

Acknowledgement sent to Sune Vuorela <reportbug@pusling.com>:
New Bug report received and forwarded. Copy sent to Hector Garcia <hector@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sune Vuorela <reportbug@pusling.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: cdrecord is going away ; xcdroast do not work with wodim
Date: Wed, 06 Sep 2006 12:15:30 +0200
Package: xcdroast
Version: 0.98+0alpha15-7
Severity: grave
Justification: renders package unusable


Hi!

cdrecord is going away and a command line compatible client wodim has
just entered debian.

Unfortunately, xcdroast do not recognize wodim as being
cdrecord-compatible.

in src/io.c, from around line 9980 and the next many lines, xcdroast is
doing a cdrecord -version, mkisofs -version, readcd -version and parses
the output from all of them.

I have tried some to fix it, but I can't get all the way thru, and the 
last one is also quite ugly.

But anyway, I attach them here:

--- xcdroast-0.98+0alpha15/src/io.c     2003-10-26 15:24:48.000000000 +0100
+++ io.c        2006-09-06 12:11:27.000000000 +0200
@@ -9912,7 +9912,7 @@
        } else {
                get_wrap_path("CDRECORD",line);
        }
-       strcat(line," -version 2>/dev/null");
+       strcat(line," -version 2>&1");

        dodebug(1, "calling: %s\n", line);
         if ((fpin = popen(line,"r")) == NULL) {
@@ -10136,7 +10136,7 @@

        strcpy(ver,"");
        get_wrap_path("READCD",line);
-       strcat(line," -version 2>/dev/null");
+       strcat(line," -version 2>/dev/null | head -1");

        dodebug(1, "calling: %s\n", line);
         if ((fpin = popen(line,"r")) == NULL) {


This make the versioning problems go away, but it makes xcdroast segfault.

#0  0xa7878250 in strcpy () from /lib/tls/libc.so.6
#1  0x08092f20 in scandrivers () at io.c:1219
#2  0x0805031d in init (argc=1, argv=0xafacf4c4, nonrootmode=0xafacf424,
altdevscan=0x80f27a0) at init.c:1011
#3  0x0804ed7f in main (argc=1701052540, argv=0x6f727473) at main.c:384

ANd about here, I unfortunately have to give up.


/Sune


-- System Information:
Debian Release: unstable/experimental
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (200, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/dash
Kernel: Linux 2.6.16-1-k7
Locale: LANG=en_GB, LC_CTYPE=en_GB (charmap=ISO-8859-1)

Versions of packages xcdroast depends on:
ii  cdda2wav                    5:1.0~pre3-1 Creates WAV files from audio CDs
ii  cdrecord                    5:1.0~pre3-1 Dummy package for transition to wo
ii  debconf [debconf-2.0]       1.5.3        Debian configuration management sy
ii  libatk1.0-0                 1.12.1-1     The ATK accessibility toolkit
ii  libc6                       2.3.6.ds1-4  GNU C Library: Shared libraries
ii  libcairo2                   1.2.4-1      The Cairo 2D vector graphics libra
ii  libfontconfig1              2.3.2-7      generic font configuration library
ii  libglib2.0-0                2.10.3-3     The GLib library of C routines
ii  libgtk2.0-0                 2.8.20-1     The GTK+ graphical user interface 
ii  libpango1.0-0               1.12.3-2     Layout and rendering of internatio
ii  libx11-6                    2:1.0.0-8    X11 client-side library
ii  libxcursor1                 1.1.7-4      X cursor management library
ii  libxext6                    1:1.0.1-2    X11 miscellaneous extension librar
ii  libxfixes3                  1:3.0.1.2-4  X11 miscellaneous 'fixes' extensio
ii  libxi6                      1:1.0.1-3    X11 Input extension library
ii  libxinerama1                1:1.0.1-4.1  X11 Xinerama extension library
ii  libxrandr2                  2:1.1.0.2-4  X11 RandR extension library
ii  libxrender1                 1:0.9.1-3    X Rendering Extension client libra
ii  mkisofs                     5:1.0~pre3-1 Creates ISO-9660 CD-ROM filesystem

xcdroast recommends no packages.

-- debconf-show failed



Information forwarded to debian-bugs-dist@lists.debian.org, Hector Garcia <hector@debian.org>:
Bug#386251; Package xcdroast. Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregor+debian@comodo.priv.at>:
Extra info received and forwarded to list. Copy sent to Hector Garcia <hector@debian.org>. Full text and rfc822 format available.

Message #10 received at 386251@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregor+debian@comodo.priv.at>
To: Sune Vuorela <reportbug@pusling.com>, 386251@bugs.debian.org
Subject: Re: cdrecord is going away ; xcdroast do not work with wodim
Date: Sat, 9 Sep 2006 16:43:06 +0200
[Message part 1 (text/plain, inline)]
On Wed, 06 Sep 2006 12:15:30 +0200, Sune Vuorela wrote:

> #0  0xa7878250 in strcpy () from /lib/tls/libc.so.6
> #1  0x08092f20 in scandrivers () at io.c:1219
> #2  0x0805031d in init (argc=1, argv=0xafacf4c4, nonrootmode=0xafacf424,
> altdevscan=0x80f27a0) at init.c:1011
> #3  0x0804ed7f in main (argc=1701052540, argv=0x6f727473) at main.c:384

scandrivers() does a "cdrecord driver=help 2>&1" and handles the
lines to parse_driver() which just filters out "Driver types:" and
takes the rest as actual drivers.
The new wodim binary outputs an informational paragraph before the
actual drivers which seems to break this parsing mechanism.

I guess the solution could be either to strip out the paragraph in
scandrivers() or to improve parse_driver().

The first approach could be realized by changing
  strcat(line," driver=help 2>&1");
to
  strcat(line," driver=help 2>&1 | tail -n +7");
but this works only as long as the output of wodim doesn't change.        

Another approach might be to change the line to something like
  strcat(line," driver=help 2>&1 | sed -n '/Driver types:/,//p'");

Implementing the last one leads to the next problem:


** (xcdroast:13401): WARNING **: Invalid readcd version -unknown- found.
        Expecting at least version 1.11a34
        Start xcdroast with the -n option to override (not recommended!)

Changing check_version_readcd() in io.c to use "strcat(line,"
-version 2>/dev/null | head -n 1");" fixes this problem.
(But that was already in your patch.)

But afterwards xcdroast segfaults:

#0  0xa787b250 in strcpy () from /lib/tls/libc.so.6
#1  0x08092b28 in scanblankmodes () at io.c:5794
#2  0x08050322 in init (argc=1, argv=0xafbe4ce4, nonrootmode=0xafbe4c44, 
    altdevscan=0x80f22a0) at init.c:1012
#3  0x0804ed7f in main (argc=1701052540, argv=0x6f727473) at main.c:384

Ok, so we need to change scanblankmodes() in io.c. Trying
strcat(line," blank=help 2>&1 | sed -n '/Blanking options:/,//p'");

Wow, now xcdroast starts again!

Alright, I've packaged these changes into
debian/patches//13_cdrecord_to_wodim.dpatch - cf. the attached patch.

Probably it's a good idea to change the dependecy from cdrecord to
wodim, too. Done in the patch.

gregor
-- 
 .''`.   http://info.comodo.priv.at/ | gpg key ID: 0x00F3CFE4
 : :' :  debian: the universal operating system - http://www.debian.org/
 `. `'   member of https://www.vibe.at/ | how to reply: http://got.to/quote/
   `-    NP: Orquesta Chepin: Murmullo
[cdrecord2wodim.diff (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Tags added: patch Request was from gregor herrmann <gregor+debian@comodo.priv.at> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: fixed Request was from Michael Meskes <meskes@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Hector Garcia <hector@debian.org>:
Bug#386251; Package xcdroast. Full text and rfc822 format available.

Acknowledgement sent to Héctor García Álvarez <hector@debian.org>:
Extra info received and forwarded to list. Copy sent to Hector Garcia <hector@debian.org>. Full text and rfc822 format available.

Message #19 received at 386251@bugs.debian.org (full text, mbox):

From: Héctor García Álvarez <hector@debian.org>
To: Michael Meskes <meskes@debian.org>, 386251@bugs.debian.org
Subject: Re: Fixed in NMU of xcdroast 0.98+0alpha15-7.1
Date: Fri, 15 Sep 2006 22:23:25 +0200
Why don't you ask before doing an NMU?.
You didn't test the patch, did you?
Because it has a bug which break old working behavior.
Now cdrecord.proDVD doesn't work (which even in been non free, it will
break working instalations).

Regards,

Héctor
P.D: Please, even in 0-day NMU period send a "I'm going to do a NMU"
with at least a few hours. I've been working on this a few days now to
not do what you just did.




Information forwarded to debian-bugs-dist@lists.debian.org, Hector Garcia <hector@debian.org>:
Bug#386251; Package xcdroast. Full text and rfc822 format available.

Acknowledgement sent to Michael Meskes <meskes@debian.org>:
Extra info received and forwarded to list. Copy sent to Hector Garcia <hector@debian.org>. Full text and rfc822 format available.

Message #24 received at 386251@bugs.debian.org (full text, mbox):

From: Michael Meskes <meskes@debian.org>
To: Héctor García Álvarez <hector@debian.org>
Cc: 386251@bugs.debian.org
Subject: Re: Fixed in NMU of xcdroast 0.98+0alpha15-7.1
Date: Sat, 16 Sep 2006 12:04:03 +0200
On Fri, Sep 15, 2006 at 10:23:25PM +0200, Héctor García Álvarez wrote:
> Why don't you ask before doing an NMU?.

Please complain to the release management team if you don't like the
rules.

> You didn't test the patch, did you?

I did. And I hope you have a better reason for this statement than what
you say in the next two sentences.

> Because it has a bug which break old working behavior.

Which?

> Now cdrecord.proDVD doesn't work (which even in been non free, it will
> break working instalations).

Frankly I don't care. If you like a non-free software and want your
package to work with it, fine. Then do your job as a maintainer and make
it work again.

> P.D: Please, even in 0-day NMU period send a "I'm going to do a NMU"
> with at least a few hours. I've been working on this a few days now to

Oh come on, you had 9 days and weren't able to even send a short ack to
the bug report. How on earth should I know that you would answer my
email in a few hours?

> not do what you just did.

Then you should have send an email to the bug report. I would have
certainly left the bug alone had I know that you are working on it. But
there was no hint whatsoever. Besides, you are free to upload a new
version with a better patch.

Michael
-- 
Michael Meskes
Email: Michael at Fam-Meskes dot De, Michael at Meskes dot (De|Com|Net|Org)
ICQ: 179140304, AIM/Yahoo: michaelmeskes, Jabber: meskes@jabber.org
Go SF 49ers! Go Rhein Fire! Use Debian GNU/Linux! Use PostgreSQL!



Reply sent to Hector Garcia <hector@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Sune Vuorela <reportbug@pusling.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #29 received at 386251-close@bugs.debian.org (full text, mbox):

From: Hector Garcia <hector@debian.org>
To: 386251-close@bugs.debian.org
Subject: Bug#386251: fixed in xcdroast 0.98+0alpha15-8
Date: Mon, 18 Sep 2006 10:02:11 -0700
Source: xcdroast
Source-Version: 0.98+0alpha15-8

We believe that the bug you reported is fixed in the latest version of
xcdroast, which is due to be installed in the Debian FTP archive:

xcdroast_0.98+0alpha15-8.diff.gz
  to pool/main/x/xcdroast/xcdroast_0.98+0alpha15-8.diff.gz
xcdroast_0.98+0alpha15-8.dsc
  to pool/main/x/xcdroast/xcdroast_0.98+0alpha15-8.dsc
xcdroast_0.98+0alpha15-8_i386.deb
  to pool/main/x/xcdroast/xcdroast_0.98+0alpha15-8_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 386251@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Hector Garcia <hector@debian.org> (supplier of updated xcdroast package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 18 Sep 2006 17:14:54 +0200
Source: xcdroast
Binary: xcdroast
Architecture: source i386
Version: 0.98+0alpha15-8
Distribution: unstable
Urgency: low
Maintainer: Hector Garcia <hector@debian.org>
Changed-By: Hector Garcia <hector@debian.org>
Description: 
 xcdroast   - X based CD-writer software
Closes: 386251
Changes: 
 xcdroast (0.98+0alpha15-8) unstable; urgency=low
 .
   * Added patch by gregor herrmann to add support for wodim
     (closes: #386251).
   * Changed cdrecord to wodim on debian/control.
   * Changed wodim support patch to replace cdrecord.ProDVD support
     to wodim.
Files: 
 0364457921156aee72969fcefde15763 659 otherosfs extra xcdroast_0.98+0alpha15-8.dsc
 8ba28f7862dcb7289c66a5cfa92cbeb0 30253 otherosfs extra xcdroast_0.98+0alpha15-8.diff.gz
 4e9fa8096a5c6ec385fc0757a6b76862 1873132 otherosfs extra xcdroast_0.98+0alpha15-8_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFDsxuMwsDi2xjdG0RApF/AJ0S2R5cjEqxxoBhv7uV8IsLHH9+yQCfZzBv
IKbZqRCmQeE5ykUbayiLXoE=
=bCVh
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 20:09:43 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 23:35:19 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.